package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.storage.StorageViewModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface StorageViewProvider extends SuperProvider {
    @Override
    public boolean accessable();

    public BocloudResult list();

    public BocloudResult create(StorageViewModel model);

    public BocloudResult remove(StorageViewModel model);
}
